Botan 1.10.17

Namespaces | Functions
point_gfp.cpp File Reference
`#include <botan/point_gfp.h>`
`#include <botan/numthry.h>`
`#include <botan/reducer.h>`
`#include <botan/internal/mp_core.h>`
`#include <botan/internal/assert.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
SecureVector< byte > | Botan::EC2OSP (const PointGFp &point, byte format)
PointGFp | Botan::multi_exponentiate (const PointGFp &p1, const BigInt &z1, const PointGFp &p2, const BigInt &z2)
PointGFp | Botan::operator* (const BigInt &scalar, const PointGFp &point)
PointGFp | Botan::OS2ECP (const byte data[], size_t data_len, const CurveGFp &curve)